Get current user
curl --request GET \
--url https://api.northreports.com/v1/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.northreports.com/v1/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.northreports.com/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"team": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Acme Realty",
"created_at": "2024-01-15T10:30:00Z",
"member_count": 3,
"reports_count": 25
},
"subscription": {
"plan": "professional",
"status": "active",
"api_usage": {
"calls_this_month": 150,
"resets_at": "2024-02-01T00:00:00Z"
}
},
"api_key": {
"name": "Production Key",
"prefix": "north_sk_live_abc12345",
"permissions": {
"reports": [
"read",
"create",
"update"
],
"comps": [
"read"
]
},
"rate_limit_tier": "standard",
"last_used_at": "2024-01-20T15:45:00Z",
"created_at": "2024-01-15T12:00:00Z"
},
"rate_limit": {
"tier": "standard",
"remaining": 985,
"resets_at": "2024-01-20T17:00:00Z"
}
}
}{
"error": {
"message": "Invalid API key",
"status": 401
}
}{
"error": {
"message": "Rate limit exceeded. Please try again later.",
"status": 429
}
}Users
Get Current User
Returns information about the authenticated team, subscription, and API key. This is typically the first endpoint to call to verify your API key is working.
GET
/
v1
/
users
/
me
Get current user
⌘I